public inbox for elfutils@sourceware.org
 help / color / mirror / Atom feed
* [PATCH] Skip run-readelf-compressed.sh test if built without bzip2
@ 2019-01-09 13:31 Ulf Hermann
  2019-01-13 22:23 ` Mark Wielaard
  0 siblings, 1 reply; 5+ messages in thread
From: Ulf Hermann @ 2019-01-09 13:31 UTC (permalink / raw)
  To: elfutils-devel

Obviously, we cannot read the compressed ELF file if no bzip2 support is
present.

Signed-off-by: Ulf Hermann <ulf.hermann@qt.io>
---
  tests/run-readelf-compressed.sh | 5 +++++
  1 file changed, 5 insertions(+)

diff --git a/tests/run-readelf-compressed.sh 
b/tests/run-readelf-compressed.sh
index a2a04a2a..861553fe 100755
--- a/tests/run-readelf-compressed.sh
+++ b/tests/run-readelf-compressed.sh
@@ -17,6 +17,11 @@

  . $srcdir/test-subr.sh

+if ! grep -q -F '#define USE_BZLIB' ${abs_top_builddir}/config.h; then
+  echo "elfutils built without bzip2 support"
+  exit 77
+fi
+
  # See run-strip-reloc.sh
  testfiles hello_i386.ko

-- 
2.11.0


^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] Skip run-readelf-compressed.sh test if built without bzip2
  2019-01-09 13:31 [PATCH] Skip run-readelf-compressed.sh test if built without bzip2 Ulf Hermann
@ 2019-01-13 22:23 ` Mark Wielaard
  2019-01-14  8:27   ` Ulf Hermann
  0 siblings, 1 reply; 5+ messages in thread
From: Mark Wielaard @ 2019-01-13 22:23 UTC (permalink / raw)
  To: Ulf Hermann; +Cc: elfutils-devel

On Wed, Jan 09, 2019 at 01:30:19PM +0000, Ulf Hermann wrote:
> Obviously, we cannot read the compressed ELF file if no bzip2 support is
> present.

Added a ChangeLog and pushed to master.
Please don't sent patches with base64 encoding.
That make it really hard to apply them with git am.

Thanks,

Mark

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] Skip run-readelf-compressed.sh test if built without bzip2
  2019-01-13 22:23 ` Mark Wielaard
@ 2019-01-14  8:27   ` Ulf Hermann
  2019-01-16 16:25     ` Mark Wielaard
  0 siblings, 1 reply; 5+ messages in thread
From: Ulf Hermann @ 2019-01-14  8:27 UTC (permalink / raw)
  To: elfutils-devel

> Added a ChangeLog and pushed to master.
> Please don't sent patches with base64 encoding.
> That make it really hard to apply them with git am.

Thanks, and sorry. As the message in my "Sent" folder is plain text with 
7bit encoding, it seems that something in between has re-encoded it (or 
that thunderbird is lying to me).

As this is a repeating theme here, it might be a good idea to add an 
option to submit patches in a less fragile way than inline in email. But 
then, maybe that's just my particularly annoying combination of 
thunderbird client and outlook server that keeps messing things up.

br,
Ulf

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] Skip run-readelf-compressed.sh test if built without bzip2
  2019-01-14  8:27   ` Ulf Hermann
@ 2019-01-16 16:25     ` Mark Wielaard
  2019-01-16 17:08       ` Frank Ch. Eigler
  0 siblings, 1 reply; 5+ messages in thread
From: Mark Wielaard @ 2019-01-16 16:25 UTC (permalink / raw)
  To: Ulf Hermann, elfutils-devel

On Mon, 2019-01-14 at 08:27 +0000, Ulf Hermann wrote:
> > Added a ChangeLog and pushed to master.
> > Please don't sent patches with base64 encoding.
> > That make it really hard to apply them with git am.
> 
> Thanks, and sorry. As the message in my "Sent" folder is plain text with 
> 7bit encoding, it seems that something in between has re-encoded it (or 
> that thunderbird is lying to me).
> 
> As this is a repeating theme here, it might be a good idea to add an 
> option to submit patches in a less fragile way than inline in email. But 
> then, maybe that's just my particularly annoying combination of 
> thunderbird client and outlook server that keeps messing things up.

It might just be git am. It does display fine in my mua too, it is just
git am doesn't seem to like the raw message:

https://sourceware.org/cgi-bin/get-raw-msg?listname=elfutils-devel&date=2019-q1&msgid=67ff4de2-fd5a-0ba8-0b5d-173c5619a88b%40qt.io

But please do feel free to post patches as pull requests using git
request-pull -p if you have a public git repo (but please use -p and
also sent the output to the list to make reviewing easier).

Cheers,

Mark

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] Skip run-readelf-compressed.sh test if built without bzip2
  2019-01-16 16:25     ` Mark Wielaard
@ 2019-01-16 17:08       ` Frank Ch. Eigler
  0 siblings, 0 replies; 5+ messages in thread
From: Frank Ch. Eigler @ 2019-01-16 17:08 UTC (permalink / raw)
  To: Mark Wielaard; +Cc: Ulf Hermann, elfutils-devel

Hi -

> It might just be git am. It does display fine in my mua too, it is just
> git am doesn't seem to like the raw message:
> 
> https://sourceware.org/cgi-bin/get-raw-msg?listname=elfutils-devel&date=2019-q1&msgid=67ff4de2-fd5a-0ba8-0b5d-173c5619a88b%40qt.io

That could be because of sourceware's anti-spammer mangling of the
addresses in email headers.  I don't know if this is worth keeping,
but I use this pipeline for applying get-raw-msg? outputs:

   wget -q -O - "$f" | sed '/^From:/s/ at /@/' | sed '/^From:/s/ dot /./g' | git am

- FChE

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2019-01-16 17:08 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-09 13:31 [PATCH] Skip run-readelf-compressed.sh test if built without bzip2 Ulf Hermann
2019-01-13 22:23 ` Mark Wielaard
2019-01-14  8:27   ` Ulf Hermann
2019-01-16 16:25     ` Mark Wielaard
2019-01-16 17:08       ` Frank Ch. Eigler

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).